Bug 1263969 - The statsd package generates provides/requires from the provided examples
The statsd package generates provides/requires from the provided examples
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: statsd (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Piotr Popieluch
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-17 04:25 EDT by Petr Šabata
Modified: 2015-10-18 22:57 EDT (History)
2 users (show)

See Also:
Fixed In Version: statsd-0.7.2-6.fc23 statsd-0.7.2-6.fc22 statsd-0.7.2-6.fc21 statsd-0.7.2-6.el7 statsd-0.7.2-6.el6.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-03 13:55:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Šabata 2015-09-17 04:25:07 EDT
Description of problem:
statsd provides perl(Etsy::StatsD) and depends on a number of perl modules it doesn't really need for anything.  These are autogenerated from the packaged `examples' directory.

Version-Release number of selected component (if applicable):
All current Fedora and EPEL versions. (0.7.2)

How reproducible:
Always.

Steps to Reproduce:
1. dnf repoquery ... / rpm -q ...


Additional info:
This can be easily fixed by adding `%{?perl_default_filter}' to your spec file.
Comment 1 Piotr Popieluch 2015-09-18 10:41:30 EDT
thanks for reporting
Comment 2 Fedora Update System 2015-09-18 10:42:50 EDT
statsd-0.7.2-6.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16164
Comment 3 Fedora Update System 2015-09-18 10:51:53 EDT
statsd-0.7.2-6.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16166
Comment 4 Fedora Update System 2015-09-18 10:57:27 EDT
statsd-0.7.2-6.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8138
Comment 5 Fedora Update System 2015-09-18 10:58:49 EDT
statsd-0.7.2-6.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8139
Comment 6 Fedora Update System 2015-09-18 11:01:08 EDT
statsd-0.7.2-6.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16168
Comment 7 Fedora Update System 2015-09-18 20:20:38 EDT
statsd-0.7.2-6.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update statsd'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16164
Comment 8 Fedora Update System 2015-09-18 22:20:49 EDT
statsd-0.7.2-6.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update statsd'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16168
Comment 9 Fedora Update System 2015-09-18 22:20:59 EDT
statsd-0.7.2-6.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update statsd'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16166
Comment 10 Fedora Update System 2015-09-18 23:19:34 EDT
statsd-0.7.2-6.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update statsd'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8139
Comment 11 Fedora Update System 2015-09-18 23:21:17 EDT
statsd-0.7.2-6.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update statsd'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8138
Comment 12 Piotr Popieluch 2015-09-22 02:40:44 EDT
Thank you for testing. 

I'm having some issues with the el6 package. the perl macro is not defined on el6 so I replaced it with a generic filter for _docdir, but then the nodejs autoprovides fails to work. I will need some more time to debug this.
Comment 13 Fedora Update System 2015-10-01 16:21:18 EDT
statsd-0.7.2-6.el6.1 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-008b33f310
Comment 14 Fedora Update System 2015-10-02 19:48:00 EDT
statsd-0.7.2-6.el6.1 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update statsd'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-008b33f310
Comment 15 Fedora Update System 2015-10-03 13:55:11 EDT
statsd-0.7.2-6.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2015-10-03 17:16:49 EDT
statsd-0.7.2-6.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2015-10-03 17:52:40 EDT
statsd-0.7.2-6.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2015-10-05 01:01:15 EDT
statsd-0.7.2-6.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2015-10-18 22:57:18 EDT
statsd-0.7.2-6.el6.1 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.